Skip to main content
POST
/
v1
/
brands
Create Brand
curl --request POST \
  --url https://brew.new/api/v1/brands \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brandUrl": "https://example.com"
}
'
{
  "brandId": "jn7a8w4q8m9k2p1x7c3b5v6n9h7s2d4f"
}

Authorizations

Authorization
string
header
default:brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Headers

Idempotency-Key
string

Optional idempotency key for safe retries. Reusing the same key with the same request body returns the original response for 24 hours.

Required string length: 1 - 100

Body

application/json

Brand website URL or bare domain.

brandUrl
string
required
Minimum string length: 1

Response

Brand phase 1 extraction completed and the returned brand is ready for email generation.

brandId
string
required
Minimum string length: 1